# Tensor symmetries

We have a $n \in \mathbb{N}$ finite dimensional vector space $V$ such that $\dim V = n$, with a basis $\{\mathbf{e}_i\}_{i=1}^n$, a pseudo inner product $\bm{g}$ on $V$ and a corresponding dual space $V^*$ with a basis $\{\mathbf{\hat e}^i\}.$ 

## Symmetric tensors

> *Definition 1*: let $\pi = [\pi(1), \dots, \pi(k)]$ be any permutation of labels $\{1, \dots, k\}$, then $\mathbf{T} \in \mathscr{T}^0_q(V)$ is a symmetric covariant tensor if for all $\mathbf{v}_1, \dots, \mathbf{v}_q \in V$ we have
>
> $$
>   \mathbf{T}(\mathbf{v}_{\pi(1)}, \dots, \mathbf{v}_{\pi(q)}) = \mathbf{T}(\mathbf{v}_1, \dots, \mathbf{v}_q),
> $$
>
> with $k = q$.
> 
> Likewise $\mathbf{T} \in \mathscr{T}^p_0(V)$ is called a symmetric contravariant tensor if for all $\mathbf{\hat u}_1, \dots, \mathbf{\hat u}_p \in V^*$ we have
>
> $$
>   \mathbf{T}(\mathbf{\hat u}_{\pi(1)}, \dots, \mathbf{\hat u}_{\pi(p)}) = \mathbf{T}(\mathbf{\hat u}_1, \dots, \mathbf{\hat u}_p),
> $$
>
> with $k = p$. 

This symmetry implies that the ordering of the (co)vector arguments in a tensor evaluation do not affect the outcome. 

> *Definition 2*: the vector space of symmetric covariant $q$-tensors is denoted by $\bigvee_q(V) \subset \mathscr{T}^0_q(V)$ and the vector space of symmetric contravariant $p$-tensors is denoted by $\bigwedge^p(V) \subset \mathscr{T}^p_0(V).$

Alternatively one may write $\bigvee_q(V) = V^* \otimes_s \cdots \otimes_s V^*$ and $\bigwedge^p(V) = V \otimes_s \cdots \otimes_s V$. 

## Antisymmetric tensors

