# Formalism of error analysis

When measuring a physical quantity with an experiment it is key to know how accurate the physical quantity has been determined, or equivalently, what the uncertainty is in the measured value.

## Measurement errors

Experimental uncertainties that cause a difference between the measured value and the real value of a physical quantity can be grouped into two categories; the **random error** and the **systematic error**. 

Systematic errors always give an error in the same direction when the experiment is repeated. Whereas random errors have no preferential direction when the experiment is repeated. 

## Confidence intervals

The uncertainty in the measured value may be expressed in a **confidence interval**. We will distinguish between two kinds of confidence intervals, the **maximum error** or 100% confidence interval and the **standard error** or 68% confidence interval. The percentage corresponding to this confidence interval is the probability that the real value lies within this interval.

### The maximum error

When a measurement is performed in which all systematic errors have been eliminated and no random errors are observed the maximum error should be used. Additionaly, the maximum error should be used for experiments where only a single measurement has been performed.

When the maximum error is used it is self-evident that multiple measurements of the same quantity are consistent if their confidence intervals overlap. 

### The standard error

The standard error should be used whenever random errors in the measurements are present and when more than one measurement is performed. The standard error may then be determined from the spread in the results.

## Conventions

The following conventions are in use to denote uncertainties.

1. Uncertainties in the measurement results will be denoted with one significant figure, rounding is necessary. For intermediate results, two significant figures can be taken into account.
2. The least significant figure in a result has to have the same position as that of the uncertainty.
3. Units have to be mentioned and both the results and the uncertainty should obviously have the same unit.
4. Uncertainties are always positive.