# The curl of a vector field

> *Definition*: the Levi-Civita permutation symbol is defined as
>
> $$
>   e_{ijk} = \begin{cases} 0 &\text{ if $i,j,k$ are identical}, \\ 1 &\text{ if the permutation $(i,j,k)$ is even}, \\ -1 &\text{ if the permutation $(i,j,k)$ is odd}.\end{cases}
> $$
>
> 

The curl of a vector field may describe the circulation of a vector field and is defined below.

> *Definition*: derivation and definition is missing for now.

Note that the "cross product " between the nabla operator and the vector field $\mathbf{v}$ does not imply anything and is only there for notational sake. An alternative to this notation is using $\text{rot } \mathbf{v}$ to denote the curl or rotation.

> *Theorem*: the curl of a vector field $\mathbf{v}: \mathbb{R}^3 \to \mathbb{R}^3$ for a curvilinear coordinate system is defined as
>
> $$
>   \nabla \times \mathbf{v}(\mathbf{x}) = \frac{1}{\sqrt{g(\mathbf{x})}} e^{ijk} \partial_i \big(v_j(\mathbf{x}) \big) \mathbf{a}_k(\mathbf{x}),
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$. 

??? note "*Proof*:"

    Will be added later.

The curl of a vector field for a ortho-curvilinear coordinate system may also be derived and can be found below.

> *Corollary*: the curl of a vector field $\mathbf{v}: \mathbb{R}^3 \to \mathbb{R}^3$ for a ortho-curvilinear coordinate system is defined as
>
> $$
>   \nabla \times \mathbf{v}(\mathbf{x}) = \frac{1}{h_1 h_2 h_3} e^{ijk} \partial_i \big(h_j v_{(j)}(\mathbf{x}) \big) h_k \mathbf{e}_{(k)}, 
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$. 

??? note "*Proof*:"

    Will be added later.

Please note that the scaling factors may also depend on the position $\mathbf{x} \in \mathbb{R}^3$ depending on the coordinate system. 

> *Proposition*: let $\mathbf{v}: \mathbb{R}^3 \to \mathbb{R}^3$ be a vector field and $f: \mathbb{R}^3 \to \mathbb{R}$ a scalar field then we have
>
> $$
> \begin{align*}
>   \nabla \cdot \big(\nabla \times \mathbf{v}(\mathbf{x}) \big) &= 0, \\
>   \nabla \times \nabla f(\mathbf{x}) &= \mathbf{0}, 
> \end{align*}
> $$
>
> for all $\mathbf{x} \in \mathbb{R}^3$. 

??? note "*Proof*:"

    Will be added later.

Similarly to the [divergence theorem](divergence.md#divergence-in-curvilinear-coordinates) for the divergence, the curl is related to Kelvin-Stokes theorem given below.

> *Theorem*: let $\mathbf{v}: \mathbb{R}^3 \to \mathbb{R}^3$ be a smooth vector field and $A \subset \mathbb{R}^3$ a closed surface with boundary curve $C \subset \mathbb{R}^3$ piecewise smooth we have that
>
> $$
>   \oint_C \big\langle \mathbf{v}(\mathbf{x}), d\mathbf{x} \big\rangle = \int_A \big\langle \nabla \times \mathbf{v}(\mathbf{x}), d\mathbf{A} \big\rangle,
> $$
>
> is true. 

??? note "*Proof*:"

    Will be added later.